Subject: bug#12472: nnmaildir can not open group in *Gnus Browse Server*

From: "Bao Haojun" <[email-masked]>
Date: Wed, 19 Sep 2012 11:14:22 +0800

Hi,

When I press Enter on a group in this buffer whose contents are like
following:

     428: gmail.BigMirror
      49: gmail.INBOX
       0: gmail.MarvellInbox
     127: gmail.orgmode-inbox
       4: localhost
     262: mrvl.INBOX
      34: mrvl.Sent
       0: mrvl.Unsent_Messages

There is an error: 

    gnus-select-newsgroup: Couldn't request group
    nnmaildir+Gmail:gmail.BigMirror: No such group: gmail.BigMirror

Initial debbugging shows that in this buffer a "Gmail-ephemeral" server
instead of the normal "Gmail" server is used for browsing groups, but
its groups are not initialized using the nnmaildir--scan.

Here's my related .gnus setup of nnmaildir:

    (setq gnus-select-method
          '(nnmaildir "Gmail"
                      (directory "~/Maildir")
                      (directory-files nnheader-directory-files-safe) 
                      (get-new-mail nil)))

I have used the following defadvice to work-around it, but I am not sure
if there are any bad side effects:

    (defadvice nnmaildir--prepare (around no-ephmeral (server group) activate)
      (let ((server
    	 (if (and (stringp server)
    	     (string= server "Gmail-ephemeral"))
    	     "Gmail"
    	   server)))
        ad-do-it))

Gnus v5.13
GNU Emacs 24.2.1 (x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2012-09-10 on trouble, modified by Debian
200 Leafnode NNTP Daemon, version 1.11.8 running at bj-lt7.marvell.com (my fqdn: bj-lt7.marvell.com)
500 Unknown command

-- 
All the best

 Bao Haojun